#
import pandas as pd
import numpy as np
import matplotlib.pyplot as plt

plt.rcParams["font.family"] = "Ubuntu"

#Extraction des données

table= pd.read_csv("CourbeAston.csv", delimiter=';')

A=table["A"]
EL=table["EL/A"]

#Tracé et réglages globaux du graphique :
fig, ax=plt.subplots(figsize=(8,8))

plt.title("Stabilité des noyaux : courbe d'Aston", fontsize=20)

#ax.grid(which='major', color='dimgray')
#ax.grid(which='minor', color='lightgray')

plt.scatter(A, EL, s=8)
plt.plot(A, EL)

#------Reglages en x  :---------------------------------------
plt.xlabel('Nombre de masse A')
plt.xticks(np.arange(0, 250, 20))

#------Reglages en y (minutes) :---------------------------------------

#ax.set_ylim(-17, 15)
plt.yticks(np.arange(0, 9, 0.5))
plt.ylabel('Énergie de liaison par nucléon (MeV)')


fig.savefig('CourbeAston.png', transparent=False, dpi=150)# Création image PNG 

plt.show()
